Postscript Exporting

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Files | Functions
Postscript Exporting
Input-Output

## Detailed Description

This group contains general `EPS` drawing methods and special graph exporting tools.

## Files
file | graph_to_eps.h
| A well configurable tool for visualizing graphs.

## Functions
template<class GR >
GraphToEps < DefaultGraphToEpsTraits< GR > > | graphToEps (GR &g, std::ostream &os=std::cout)
| Generates an EPS file from a graph. More...
template<class GR >
GraphToEps < DefaultGraphToEpsTraits< GR > > | graphToEps (GR &g, const char *file_name)
| Generates an EPS file from a graph. More...
template<class GR >
GraphToEps < DefaultGraphToEpsTraits< GR > > | graphToEps (GR &g, const std::string &file_name)
| Generates an EPS file from a graph. More...

## Function Documentation

GraphToEps<DefaultGraphToEpsTraits<GR> > lemon::graphToEps | ( | GR & | g,
|  | std::ostream & | os = `std::cout`
| ) |  |

Generates an EPS file from a graph.

Parameters

  g | Reference to the graph to be printed.
  os | Reference to the output stream. By default, it is `std::cout`.

This function also has a lot of named parameters, they are declared as the members of class GraphToEps. The following example shows how to use these parameters.

* graphToEps(g,os).scale(10).coords(coords)
* .nodeScale(2).nodeSizes(sizes)
* .arcWidthScale(.4).run();
*

For more detailed examples, see the graph_to_eps_demo.cc demo file.

Warning
  Don't forget to put the run() to the end of the parameter list.

See Also
  GraphToEps
  graphToEps(GR &g, const char *file_name)

GraphToEps<DefaultGraphToEpsTraits<GR> > lemon::graphToEps | ( | GR & | g,
|  | const char * | file_name
| ) |  |

This function does the same as graphToEps(GR &g,std::ostream& os) but it writes its output into the file `file_name` instead of a stream.

See Also
  graphToEps(GR &g, std::ostream& os)

GraphToEps<DefaultGraphToEpsTraits<GR> > lemon::graphToEps | ( | GR & | g,
|  | const std::string & | file_name
| ) |  |

This function does the same as graphToEps(GR &g,std::ostream& os) but it writes its output into the file `file_name` instead of a stream.

See Also
  graphToEps(GR &g, std::ostream& os)